clang 10.0.0git

Public Member Functions | Public Attributes | List of all members
clang::DeducedPack Struct Reference

A pack that we're currently deducing. More...

Collaboration diagram for clang::DeducedPack:
[legend]

## Public Member Functions
| DeducedPack (unsigned Index)

## Public Attributes
unsigned | Index
DeducedTemplateArgument | Saved
DeducedTemplateArgument | DeferredDeduction
SmallVector< DeducedTemplateArgument, 4 > | New
DeducedPack * | Outer = nullptr

## Detailed Description

A pack that we're currently deducing.

Definition at line 662 of file SemaTemplateDeduction.cpp.

## Constructor & Destructor Documentation

## ◆ DeducedPack()

clang::DeducedPack::DeducedPack | ( | unsigned | Index | ) |
| inline

Definition at line 679 of file SemaTemplateDeduction.cpp.

## Member Data Documentation

## ◆ DeferredDeduction

DeducedTemplateArgument clang::DeducedPack::DeferredDeduction

Definition at line 671 of file SemaTemplateDeduction.cpp.

## ◆ Index

unsigned clang::DeducedPack::Index

Definition at line 664 of file SemaTemplateDeduction.cpp.

## ◆ New

SmallVector<DeducedTemplateArgument, 4> clang::DeducedPack::New

Definition at line 674 of file SemaTemplateDeduction.cpp.

## ◆ Outer

DeducedPack* clang::DeducedPack::Outer = nullptr

Definition at line 677 of file SemaTemplateDeduction.cpp.

## ◆ Saved

DeducedTemplateArgument clang::DeducedPack::Saved

Definition at line 667 of file SemaTemplateDeduction.cpp.

The documentation for this struct was generated from the following file:

- lib/Sema/SemaTemplateDeduction.cpp